SoVRMLIndexedShape(3)

NAME
SoVRMLIndexedShape - The SoVRMLIndexedShape class is a superclass for geometry that use indexes.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLIndexedShape.h>

Inherits SoVRMLVertexShape.

Inherited by SoVRMLIndexedFaceSet.

  Public Member Functions
virtual SoType getTypeId (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoMFInt32 coordIndex
SoMFInt32 colorIndex
SoMFInt32 normalIndex
SoMFInt32 texCoordIndex

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoVRMLIndexedShape (void)
virtual ~SoVRMLIndexedShape ()
virtual void notify (SoNotList *list)
virtual void computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)
SbBool getVertexData (SoState *state, const SoCoordinateElement *&coords, const SbVec3f *&normals, const int32_t *&cindices, const int32_t *&nindices, const int32_t *&tindices, const int32_t *&mindices, int &numcindices, const SbBool neednormals, SbBool &normalcacheused)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLIndexedShape class is a superclass for geometry that use indexes.

Constructor & Destructor Documentation

  SoVRMLIndexedShape::SoVRMLIndexedShape (void) [protected]
Constructor.

  SoVRMLIndexedShape::~SoVRMLIndexedShape () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLIndexedShape::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLIndexedShape::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLVertexShape.

Reimplemented in SoVRMLIndexedFaceSet.

  const SoFieldData ** SoVRMLIndexedShape::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLIndexedShape::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLVertexShape.

Reimplemented in SoVRMLIndexedFaceSet.

  void SoVRMLIndexedShape::initClass (void) [static]

  void SoVRMLIndexedShape::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoVRMLVertexShape.

  void SoVRMLIndexedShape::computeBBox (SoAction * action, SbBox3f & box, SbVec3f & center) [protected], [virtual]
Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box.

The bounding box and center point should be calculated and returned in the local coordinate system.

The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().)

The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry.

Implements SoShape.

  SbBool SoVRMLIndexedShape::getVertexData (SoState * state, const SoCoordinateElement *& coords, const SbVec3f *& normals, const int32_t *& cindices, const int32_t *& nindices, const int32_t *& tindices, const int32_t *& mindices, int & numcindices, const SbBool neednormals, SbBool & normalcacheused) [protected]
Convenience method that will fetch data needed for rendering or generating primitives. Takes care of normal cache.

Member Data Documentation

  SoMFInt32 SoVRMLIndexedShape::coordIndex
The coordinate index array.

  SoMFInt32 SoVRMLIndexedShape::colorIndex
The color index array.

  SoMFInt32 SoVRMLIndexedShape::normalIndex
The normal index array.

  SoMFInt32 SoVRMLIndexedShape::texCoordIndex
The texture coordinate index array.

Author

Generated automatically by Doxygen for Coin from the source code.